Subject: [mpls-tp] Question on MPLS Fault Mangement OAM

From: Greg Mirsky <[email-masked]>
Date: Thu, 11 Feb 2010 10:20:17 -0800

Dear Editors, Authors and All,
as this document defines MPLS Fault Management Channel and the format of
MPLS FM Message I'm looking at how FM channel can be used. Could it be used
by MPLS LSP and by unidirectional MPLS-TP LSP? If an FM channel between
LERs/MEPs is associated with a unidirectional LSP or multiple such LSPs that
are terminated on these LERs, then LSP TLV, as outlined in Definition of ACH
TLV Structure (note - the document is listed in Normative References section
but is not actually referenced in the document), can be used to demultiplex
FM messages. Further, if an FM channel may be associated with arbitrary mix
of LSPs and PWs then LSP TLV and PW TLV must be used to demultiplex FM
messages.If these are valid scenarios, then description of how LSP and PW
TLVs used can be added in sections 5.1 and 5.3.

Regards,
Greg